Name:           mkdst
Version:        0.11
%define _datestamp .20081208.19
#Release:        1%{_datestamp}%{?dist}
Release:        2%{?dist}
Summary:        Source repository to tarball release tool

Group:          Development/Tools
License:        GPLv2+
URL:            https://launchpad.net/mkdst/
# Generate tarball from source repository
# bzr get http://bazaar.launchpad.net/~ltsp-upstream/mkdst/mkdst-trunk
# cd mkdst-trunk
# ./mkdst tar --from-tag=mkdst-%{version}
Source0:        mkdst-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
Source repository and tarball release tool
Currently supports only bzr, but more VCS tools are planned.

%prep
%setup -q

%build
echo "Nothing to build."

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README* COPYING ChangeLog
%{_bindir}/*
%{_datadir}/mkdst/

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 29 2009 Ryan Niebur <ryanryan52@gmail.com> - 0.11-1
- 0.11

* Thu Dec 11 2008 Warren Togami <wtogami@redhat.com> - 0.10-1
- 0.10
  clean only cleans mkdst output, not other stuff
  tarballs are stripped of anything listed in .bzrignore
  RPM SOURCEDIR is working dir, so patches are available

* Thu Aug 28 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.9-2
- include /usr/share/mkdst directory

* Mon May 19 2008 Warren Togami <wtogami@redhat.com> - 0.9-1
- 0.9

* Sat Mar 29 2008 Warren Togami <wtogami@redhat.com> - 0.8-1
- 0.8

* Mon Mar 24 2008 Warren Togami <wtogami@redhat.com> - 0.7-1
- 0.7

* Mon Mar 13 2008 Warren Togami <wtogami@redhat.com> - 0.6-1
- 0.6 with new commands

* Mon Jan 14 2008 Warren Togami <wtogami@redhat.com> - 0.5-1
- 0.5

* Sun Jan 13 2008 Warren Togami <wtogami@redhat.com> - 0.1-1
- initial package
